import * as patterns from './patterns/index'

Prism.languages.sensetalk = {
  comment: {
    pattern: patterns.comment,
    greedy: true
  },
  variable: [
    {
      pattern: patterns.plural
    }
  ],
  string: [
    {
      pattern: patterns.basic
    },
  ],
  operator: [
    {
      pattern: patterns.math
    },
    {
      pattern: patterns.constants
    },
    {
      pattern: patterns.special
    },
    {
      pattern: patterns.plain
    },
    {
      pattern: patterns.compare
    },
    {
      pattern: patterns.relation
    }
  ],
  function: [
    {
      pattern: patterns.parenthesis
    },
    {
      pattern: patterns.noParenthesis
    },
    {
      pattern: patterns.locations
    },
    {
      pattern: patterns.unique
    }
  ],
  selector: [
    {
      pattern: patterns.commands
    },
    {
      pattern: patterns.asserts
    },
    {
      pattern: patterns.exits
    },
    {
      pattern: patterns.inserts
    },
    {
      pattern: patterns.repeat
    }, 
    {
      pattern: patterns.keywords
    },
    {
      pattern: patterns.handler
    }
  ],
  number: [
    {
      pattern: patterns.simple
    },
    {
      pattern: patterns.complex
    },
    {
      pattern: patterns.written
    },
    {
      pattern: patterns.metric
    },
    {
      pattern: patterns.money
    },
    {
      pattern: patterns.units
    },
    {
      pattern: patterns.byteLiteral
    }
  ]
}
