export const simple = /-*\b[0-9]+(:?[,.]+[\d]+)*\b/
export const complex = /\b(?:(?:0(?:x|X)[0-9a-fA-F](?:[0-9a-fA-F_]*[0-9a-fA-F]))|(?:0(?:b|B)[01](?:[01_]*[01]))|(?:0(?:o|O)[0-7](?:[0-7_]*[0-7]))|(?:(?:[0-9](?:[0-9_]*[0-9])?\.?[0-9]*(?:[0-9_]*[0-9])?)|(?:\.[0-9](?:[0-9_]*[0-9])?))(?:(?:e|E)(?:\+|-)?[0-9](?:[0-9_]*[0-9])?)?)\b/
export const written = /\b(?:eighth|quarter|third|half|zero|point|one|two|three|four|five|six|seven|eight|nine|ten|eleven|twelve|thirteen|fourteen|fifteen|sixteen|seventeen|eighteen|nineteen|twenty|thirty|forty|fifty|sixty|seventy|eighty|ninety|hundred|thousand|million|billion|dozen)\b/i
export const metric = /\b(?:deci|centi|milli|micro|nano|pico|femto|atto|zepto|yocto|deca|deka|hecto|kilo|mega|giga|tera|peta|exa|zetta|yotta)?(?:amp(?:ere)?s?|coulombs?|farads?|grams?|henries|henry|hertz|hz|joules?|liters?|litres?|meters?|metres?|newtons?|ohms?|pascals?|sec(?:ond)?s?|siemens|teslas?|volts?|watts?|webers?)\b/i
export const money = /\b(?:cent|dollar)s?(?:_(?:19(?:1[3-9]|[2-9][0-9])|20(?:[01][0-9]|2[0-2])))?\b/i
export const units = /\b(?:(?:square|sq|cubic|cu)\s+)?(?:hrs?|hours?|min(?:ute)?s?|yrs?|years?|months?|days?|decades?|centur(?:y|ies)|cal(?:endar)?(?:months?|quarters?|qtrs?|years?|decades?|centur(?:y|ies))|acres?|(?:acre|british|survey)?(?:foot|feet|ft)|alphaparticlemass(?:es)?|angstroms?|annually|ap(?:dram|ounce|pound)s?|arc(?:deg(?:ree)?|min(?:ute)?|sec(?:ond)?)s?|assarions?|(?:br)?assaytons?|astronomicalunits?|au|(?:atomic|deuteron|earth|electron|jupiter|lunar|mars|mercury|moon|muon|neptune|neutron|planck|pluto|proton|quarter|saturn|solar|sun|tau|uranus|venus)MASS(?:es)?|barleycorns?|barns?|(?:petroleum|oil|liquid|imperial|dry|br)?barrels?|bekans?|bicrons?|bits?|(?:br(?:heaped)?|imperial)?bushels?|brchaldrons?|(?:br|fluid|imperial)?drams?|(?:br|imperial)?fluidounces?|(?:br|imperial)?floz|(?:br|can(?:adian)?|dry|imperial|half_)?gallons?|(?:br|imperial)?gills?|(?:br|long)?hundredweights?|(?:british|cubic_|survey)(?:inch(?:es)?|yards?|yds?|meters?)|(?:br|imperial)?minims?|(?:br|imperial)?pecks?|(?:br|dry|imperial)?pints?|(?:br|dry|imperial|metric)?quarts?|brquarters?|brquartermass(?:es)?|(?:br|fluid|imperial)?scruples?|(?:br|long|metric)?tons?|bucks?|bu|bytes?|cabs?|(?:english|metric)?carats?|ct|cc|chains?|ch|circles?|cloves?|cm|cors?|(?:cosmic|dog|galactic|sidereal|solar|tropical)years?|cpidollar|cumecs?|(?:metric)?cups?|cwt|cycles?|daily|daltons?|dam|daraf|deg(?:ree)?s?|denarius|(?:di|tetra)?drachmas?|dimes?|dm|dr|dwt|(?:earth|moon)Circumferences?(?:_equatorial|_polar)?|(?:earth|(?:far|near)?sun|jupiter|lunar|mars|mercury|moon|neptune|pluto|saturn|solar|sun|uranus|venus)DISTANCES?|earthRadi(?:us|i)(?:_equatorial|_polar)?|eb|(?:english|flemish)?ells?|ephahs?|eushots?|fathoms?|goads?|fermis?|firkins?|fldr|fn|footballfields?|fortnights?|furlongs?|g|gals?|gammas?|gb|gees?|gerahs?|gforces?|(?:exa|giga|kilo|mega|peta|tera)bytes?|goads?|gon|gph|gpm|gr|grad(?:ian)?s?|(?:metric)?grains?|(?:jupiter|lunar|mars|mercury|moon|neptune|pluto|saturn|uranus|venus)?GRAVIT(?:y|ies)|(?:greek|hebrew)?(?:mina|talent)s?|hands?|hectares?|hm|hogsheads?|homers?|hourly|inch(?:es)?|in|(?:jewelers|silversmith)?points?|jiff(?:y|ies)|jiggers?|(?:jupiter|mars|mercury|moon|neptune|pluto|saturn|sun|uranus|venus)RADI(?:us|i)|kb|kg|kilos?|(?:kilo)?parsecs?|kpc|kilopounds?|klp|kilotons?|kt|km|knots?|kph|l|lambdas?|lbs?|(?:marine)?leagues?|leptons?|lightnanoseconds?|lightyears?|ly|links?|logs?|lps|m|m_alpha|m_d|m_e|m_muon|m_n|m_p|m_tau|magnums?|marathons?|mb|metric(?:fifth|tenth)s?|(?:metric|m|troy)?ounces?|mg|microns?|(?:micro|milli|nano)?radians?|mils?|(?:nautical|statute|survey)?miles?|mi|milleni(?:a|um)|mrad|ml|mm|mph|mps|nails?|n(?:i|y)bbles?|nickels?|nm|olympicswimmingpools?|omers?|ozt?|pb|pc|pdl|penn(?:y|ies)|pennyweights?|perch(?:es)?|pts?|pk|poles?|pon(?:y|ies)|poppyseeds?|(?:troy)?pounds?|poundals?|pts?|quadrans|quadrants?|qts?|quarterdollars?|quintals?|quintants?|rad|rds?|rev(?:olution)?s?|rightangles?|rods?|roods?|ropes?|rpm|s|seahs?|sextants?|shakes?|shekels?|short(?:quarter|ton)s?|shots?|slugs?|spans?|spats?|square_meters?|(?:us)?stones?|svedbergs?|(?:table|tea)spoons?|tb|tbsp|ticks?|tonnes?|tsp|turns?|um|usd|watch(?:es)?|weeks?|weekly|winebottles?|wineglass(?:es)?|winesplits?|wks?|yards?|yds?|yearly)\b/i
export const byteLiteral = /<[0-9A-Fa-f ]+>/